package com.yem.wm.es.shippingdetails.dynamic;

import kd.bos.bill.AbstractBillPlugIn;
import kd.bos.form.FormShowParameter;

import java.util.EventObject;
import java.util.Map;

/**
 * @author 张立攀
 * @version 1.0
 * @description  收款查询-动态表单
 * @date 2023-08-24 10:41
 */
public class CollectionInquiryEdit extends AbstractBillPlugIn {
    @Override
    public void afterCreateNewData(EventObject e) {
        FormShowParameter parameter = this.getView().getFormShowParameter();
        Map<String, Object> datas = parameter.getCustomParams();
        this.getModel().setValue("yem_salenumber",datas.get("yem_salenumber"));
        this.getModel().setValue("yem_contractamount",datas.get("yem_contractamount"));
        this.getModel().setValue("yem_collectionterms",datas.get("yem_collectionterms"));
        this.getModel().setValue("yem_proportionreceive",datas.get("yem_proportionreceive"));
        this.getModel().setValue("yem_amountreceivable",datas.get("yem_amountreceivable"));
        this.getModel().setValue("yem_unclaimamount",datas.get("yem_unclaimamount"));
        this.getModel().setValue("yem_ctpreclaimat",datas.get("yem_ctpreclaimat"));
        this.getModel().setValue("yem_contractclaimats",datas.get("yem_contractclaimats"));
        this.getModel().setValue("yem_totalshsat",datas.get("yem_totalshsat"));
        this.getModel().setValue("yem_shipmentnumber",datas.get("yem_shipmentnumber"));
        this.getModel().setValue("yem_shipmentat",datas.get("yem_shipmentat"));
        this.getModel().setValue("yem_shipmentpreat",datas.get("yem_shipmentpreat"));
        this.getModel().setValue("yem_shipmentclaimat",datas.get("yem_shipmentclaimat"));
        this.getModel().setValue("yem_shipmentclaimated",datas.get("yem_shipmentclaimated"));
        this.getModel().setValue("yem_shipmentclaimated",datas.get("yem_shipmentclaimated"));
        this.getModel().setValue("yem_shipmentsatnow",datas.get("yem_shipmentsatnow"));
        this.getModel().setValue("yem_iouamount",datas.get("yem_iouamount"));
        this.getModel().setValue("yem_amountinarear",datas.get("yem_amountinarear"));
        super.afterCreateNewData(e);
    }
}
